edu.whs.spin2018.baoapp.service.spieleinstellungen

## Class SpieleinstellungenServiceInteractor

- java.lang.Object
- - edu.whs.spin2018.baoapp.service.ServiceInteractor
  - - edu.whs.spin2018.baoapp.service.spieleinstellungen.SpieleinstellungenServiceInteractor

- All Implemented Interfaces:
    BaoServiceInterface, BaseInteractorInterface, SpieleinstellungenEventListener, SpieleinstellungenRemoteDataSource

      public class SpieleinstellungenServiceInteractor
      extends ServiceInteractor
      implements SpieleinstellungenRemoteDataSource

- - ### Field Summary

    - ### Fields inherited from class edu.whs.spin2018.baoapp.service.ServiceInteractor

      `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpieleinstellungenServiceInteractor(BaoService serviceInterface)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entferneRegistrierteListener()` Entfernt die zusätzlichen registrierten Listener vom Socket.
    `void` | `onGegnerAendertMinuten(int minutenIndex)`
    `void` | `onGegnerAendertSekunden(int sekundenIndex)`
    `void` | `onGegnerAendertZeitTyp(java.lang.String zeittyp)`
    `void` | `onGegnerIstBereit(boolean istBereit)`
    `void` | `onGegnerVerlaesstRaum()`
    `void` | `onNeueNachricht(java.lang.Object... args)` Wird beim erhalten eines Nachricht-Events aufgerufen.
    `void` | `registriereBenoetigteListener()` Registriert, zusätzlich zum Nachrichten-Event Listener, weitere Listener am Socket
    `void` | `sendeMinuten(int minuten, java.lang.String aktuellerRaum)`
    `void` | `sendeSekunden(int sekunden, java.lang.String aktuellerRaum)`
    `void` | `sendeSpielerIstBereit(boolean istBereit, java.lang.String raum)`
    `void` | `sendeZeitTyp(java.lang.String buttonAuswahl, java.lang.String raum)`
    `void` | `setzeListener(SpieleinstellungenEventListener listener)`

    - ### Methods inherited from class edu.whs.spin2018.baoapp.service.ServiceInteractor

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.BaoServiceInterface

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

- - ### Constructor Detail

    - #### SpieleinstellungenServiceInteractor

          public SpieleinstellungenServiceInteractor(BaoService serviceInterface)

  - ### Method Detail

    - #### setzeListener

          public void setzeListener(SpieleinstellungenEventListener listener)

      Specified by:
        `setzeListener` in interface `SpieleinstellungenRemoteDataSource`

    - #### registriereBenoetigteListener

          public void registriereBenoetigteListener()

      Description copied from interface: `BaseInteractorInterface`
      Registriert, zusätzlich zum Nachrichten-Event Listener, weitere Listener am Socket
      Specified by:
        `registriereBenoetigteListener` in interface `BaseInteractorInterface`

    - #### entferneRegistrierteListener

          public void entferneRegistrierteListener()

      Description copied from interface: `BaseInteractorInterface`
      Entfernt die zusätzlichen registrierten Listener vom Socket.
      Specified by:
        `entferneRegistrierteListener` in interface `BaseInteractorInterface`

    - #### onNeueNachricht

          public void onNeueNachricht(java.lang.Object... args)

      Description copied from interface: `BaseInteractorInterface`
      Wird beim erhalten eines Nachricht-Events aufgerufen.
      Specified by:
        `onNeueNachricht` in interface `BaseInteractorInterface`
      Parameters:
        `args` - - Daten, die mit dem Event gesendet wurden

    - #### sendeZeitTyp

          public void sendeZeitTyp(java.lang.String buttonAuswahl,
                                   java.lang.String raum)

      Specified by:
        `sendeZeitTyp` in interface `SpieleinstellungenRemoteDataSource`

    - #### sendeSpielerIstBereit

          public void sendeSpielerIstBereit(boolean istBereit,
                                            java.lang.String raum)

      Specified by:
        `sendeSpielerIstBereit` in interface `SpieleinstellungenRemoteDataSource`

    - #### sendeSekunden

          public void sendeSekunden(int sekunden,
                                    java.lang.String aktuellerRaum)

      Specified by:
        `sendeSekunden` in interface `SpieleinstellungenRemoteDataSource`

    - #### sendeMinuten

          public void sendeMinuten(int minuten,
                                   java.lang.String aktuellerRaum)

      Specified by:
        `sendeMinuten` in interface `SpieleinstellungenRemoteDataSource`

    - #### onGegnerVerlaesstRaum

          public void onGegnerVerlaesstRaum()

      Specified by:
        `onGegnerVerlaesstRaum` in interface `SpieleinstellungenEventListener`

    - #### onGegnerAendertZeitTyp

          public void onGegnerAendertZeitTyp(java.lang.String zeittyp)

      Specified by:
        `onGegnerAendertZeitTyp` in interface `SpieleinstellungenEventListener`

    - #### onGegnerAendertMinuten

          public void onGegnerAendertMinuten(int minutenIndex)

      Specified by:
        `onGegnerAendertMinuten` in interface `SpieleinstellungenEventListener`

    - #### onGegnerAendertSekunden

          public void onGegnerAendertSekunden(int sekundenIndex)

      Specified by:
        `onGegnerAendertSekunden` in interface `SpieleinstellungenEventListener`

    - #### onGegnerIstBereit

          public void onGegnerIstBereit(boolean istBereit)

      Specified by:
        `onGegnerIstBereit` in interface `SpieleinstellungenEventListener`